<div class="plc user">
    <div class="plc-menu">
        用户管理
        <!--<div class="dropdown">-->
            <!--<a class="dropdown-toggle my-toggle-select" id="dLabel" role="button" data-toggle="dropdown" data-target="#" href="">-->
                <!--<div class="input-append"><input type="text" class="input-large" data-ng-model="data.date"><span class="add-on"><i-->
                        <!--class="icon-calendar"></i></span>-->
                <!--</div>--> 
            <!--</a>-->
            <!--<ul class="dropdown-menu" role="menu" aria-labelledby="dLabel">-->
                <!--<datetimepicker data-ng-model="data.date"-->
                                <!--data-datetimepicker-config="{ dropdownSelector: '.my-toggle-select' }"></datetimepicker>-->
            <!--</ul>-->
        <!--</div>-->
        <!--<input datetimepicker >-->
    </div>
    <div class="plc-content">
        <div class="row">
            <div class="col-sm-12 col-xs-12">
                <div class="search-group-input-btn">
                    <div class="one-line-btns search-long-half">
                        <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput), 'ad-disabled':(config.editRw && config.cancleHide)}">
                            <input ng-init="focusInput=false"
                                   ng-focus="focusInput=true"
                                   ng-blur="focusInput=false"
                                   type="text" value=""
                                   placeholder="请输入8位员工号查询"
                                   class="form-control ad-left-child"
                                   ng-model="config.userSearch"
                                   ng-disabled="config.editRw && config.cancleHide"
                                    ng-change="queryInfosChange()"
                                    ng-keyup="upModel($event)"
                                   ng-class="{'work-placeholder': config.isNoValue}">
                            <i class="fa fa-search ad-right-child focus"  ng-click="queryData()"></i>
                        </div>
                    </div>
                    <div class="one-line-btns"><button type="button" class="btn btn btn-primary" ng-disabled="config.queryBtn"  ng-click="queryData()">
                        查询</button></div>
                    <div class="one-line-btns"><button type="button" class="btn btn btn-primary" ng-disabled="config.editBtn"  ng-if="config.editRw" ng-click="editData()">
                        编辑</button></div>
                    <div class="one-line-btns"><button type="button" class="btn btn btn-primary" ng-disabled="config.keepBtn" ng-if="config.keepHide" ng-click="keepData()">
                        保存</button></div>
                    <div class="one-line-btns"><button type="button" class="btn btn btn-primary" ng-disabled="config.cancleBtn" ng-if="config.cancleHide" ng-click="cancleData()">
                        取消</button></div>
                </div>

            </div>
            <div class="col-sm-12 col-xs-12">
                <div class="nav-tab-mini">
                    <div class="clients-list">
                        <div class="">
                            <div class="row">
                                <div class="col-sm-5 col-xs-5">
                                    <ul class="nav nav-tabs">
                                        <li class="active"><a>基础信息</a></li>
                                    </ul>
                                    <div class="clients-content">
                                        <form class="form-horizontal" role="form">
                                            <div class="form-group">
                                                <label  class="um-col-2 um-control-label text-right">姓：</label>

                                                <div class="col-sm-8 col-xs-8">
                                                    <input type="text" class="form-control"
                                                           ng-model="config.userItem.serverUserDetailsVO.firstName" ng-disabled="true"
                                                           data-date="1979-09-16T05:25:07Z" data-date-format="dd MM yyyy - HH:ii p" data-link-field="dtp_input1">
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="um-col-2 um-control-label text-right">名：</label>

                                                <div class="col-sm-8 col-xs-8">
                                                    <input type="text" class="form-control"
                                                           placeholder="" ng-model="config.userItem.serverUserDetailsVO.lastName" ng-disabled="true">
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="dep" class="um-col-2 um-control-label text-right">部门：</label>

                                                <div class="col-sm-8 col-xs-8">
                                                    <input type="text" class="form-control" id="dep"
                                                           placeholder="" ng-model="config.userItem.serverUserDetailsVO.department" ng-disabled="true">
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="position" class="um-col-2 um-control-label text-right">职位：</label>

                                                <div class="col-sm-8 col-xs-8">
                                                    <input type="text" class="form-control" id="position"
                                                           placeholder=""  ng-disabled="true">
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="email" class="um-col-2 um-control-label text-right">Email：</label>

                                                <div class="col-sm-8 col-xs-8">
                                                    <input type="email" class="form-control" id="email"
                                                           placeholder="" ng-model="config.userItem.serverUserDetailsVO.email" ng-disabled="true">
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="phone" class="um-col-2 um-control-label text-right">电话：</label>

                                                <div class="col-sm-8 col-xs-8">
                                                    <input type="text" class="form-control" id="phone"
                                                           placeholder="" ng-model="config.userItem.serverUserDetailsVO.telephone" ng-disabled="true">
                                                </div>
                                            </div>
                                            <div class="form-group" >
                                                <label for="phone" class="um-col-2 um-control-label text-right"></label>
                                                <div class="checkbox checkbox-primary checkbox-inline one-line-textbox">
                                                    <input type="checkbox" id="inlineCheckbox1" ng-checked="config.enabled" value="option1"  ng-disabled="!config.keepHide">
                                                    <label for="inlineCheckbox1">启用</label>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label for="phone" class="um-col-2 um-control-label text-right">启用时间：</label>
                                                <div class="col-sm-8 col-xs-8">
                                                    <input type="text" class="form-control" id="time" ng-model="config.userItem.userPO.enabledModifiedDateTime"
                                                           placeholder="" ng-disabled="true">
                                                </div>
                                            </div>
                                        </form>

                                    </div>
                                </div>
                                <div class="col-sm-7 col-xs-7">
                                    <ul class="nav nav-tabs">
                                        <li class="active"><a>用户管理</a></li>
                                    </ul>
                                    <div class="clients-content">
                                        <div class="row">

                                            <div class="col-sm-5 col-xs-5">
                                                <div class="chat-group">
                                                    <div class="chat-user-title">可用用户组</div>
                                                    <div class="">
                                                        <div class="chat-users">
                                                            <div class="chat-user-scroll">
                                                                <div class="chat-user-scroll-text" ng-repeat="item in config.selectedAssignUserList | reverse : config.selectedAvailableUserList"
                                                                     ng-mouseenter="item.isHover=!item.isHover"
                                                                     ng-mouseleave="item.isHover=!item.isHover"
                                                                     ng-click="selectedAssignUserList(item)"
                                                                     ng-class="{'selected':(item.isSelected),'isHover':(item.isHover)}" ng-disabled="!config.keepHide">
                                                                    <a href="" ng-bind="item.description"></a></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-sm-2 col-xs-2 chat-user-directs">
                                                <button class="btn btn-primary chat-user-direct no-radius"
                                                        ng-disabled="!config.keepHide"
                                                        ng-click="reverseLeft();">
                                                    >>>>
                                                </button>
                                                <button class="btn btn-primary chat-user-direct no-radius"
                                                        ng-disabled="!config.keepHide"
                                                        ng-click="reverseRight();">
                                                    <<<<
                                                </button>
                                            </div>


                                            <div class="col-sm-5 col-xs-5">
                                                <div class="chat-group">
                                                    <div class="chat-user-title">已分配用户组</div>
                                                    <div class="">
                                                        <div class="chat-users">
                                                            <div class="chat-user-scroll">
                                                                <div class="chat-user-scroll-text" ng-repeat="item in config.selectedAvailableUserList "
                                                                     ng-mouseenter="item.isHover=!item.isHover"
                                                                     ng-mouseleave="item.isHover=!item.isHover"
                                                                     ng-click="selectedAvailableUserList(item)"
                                                                     ng-class="{'selected':(item.isSelected),'isHover':(item.isHover)}"ng-disabled="!config.keepHide"
                                                                        >
                                                                    <a ng-bind="item.description"></a>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
